<!DOCTYPE html>
<html>
    <head>
        <script src="https://aframe.io/releases/0.9.2/aframe.min.js"></script>
        <script src="https://cdn.rawgit.com/jeromeetienne/AR.js/1.7.2/aframe/build/aframe-ar.js"></script>
        <script src="https://rawgit.com/donmccurdy/aframe-extras/master/dist/aframe-extras.loaders.min.js"></script>

        <script>
            AFRAME.registerComponent("scale-on-mouseenter", {
                schema: {
                    to: { default: "2.5 2.5 2.5", type: "vec3" },
                },

                init: function () {
                    var data = this.data;
                    var el = this.el;
                    this.el.addEventListener("mouseenter", function () {
                        el.object3D.scale.copy(data.to);
                    });
                },
            });
        </script>
    </head>
    <body>
        <a-scene>
            <!-- ... -->
            <a-box
                src="#boxTexture"
                position="0 2 -5"
                rotation="0 45 45"
                scale="2 2 2"
                animation="property: object3D.position.y; to: 2.2; dir: alternate; dur: 2000; loop: true"
                scale-on-mouseenter
            ></a-box>
            <!-- ... -->
        </a-scene>
    </body>
</html>
